Bug 89713 - Samba Graphical Configuration
Samba Graphical Configuration
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-samba (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-04-26 12:41 EDT by Thomas Lageotakes
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-19 17:53:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thomas Lageotakes 2003-04-26 12:41:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98; .NET CLR 1.0.3705)

Description of problem:
I am using the samba graphical configuration and I am trying to change the 
workgroup.  I change "mygroup" to "workgroup" and hit ok.  I restarted the 
samba configuration tolls and it was blank.  I opened the samba.conf file and 
the workgroup=workgroup file was gone.  I also change the other filed and just 
called it server instead of samba server and that worked fine.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Change the samba server setting using the graphical interface.
2.  Change mygroup to whatever you want.
3.  Look at samba.conf file and change is not there.  I fact text is missing.

Additional info:
Comment 1 Thomas Lageotakes 2003-04-27 13:14:27 EDT
I sorry.  It appears you can change workgroup to anything EXCEPT "workgroup"
Comment 2 Brent Fox 2003-05-19 17:53:08 EDT
According to the Samba man page, the default workgroup is set at compile time to
"WORKGROUP".  That means that the "workgroup" line doesn't have to be specified
in order for for it to be the default.  

redhat-config-samba is set up so that if the user has picked the default
settings for a particular flag, redhat-config-samba does not write out that line
to smb.conf.  Samba only requires those settings which are not the default value
to be written to the file.  

So if you set the Samba workgroup to be "workgroup", you should see the
"workgroup" group on your Windows machine even though the workgroup line is not
in smb.conf.  

Closing as 'notabug'.  Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.